package com.ruoyi.ems.mapper;

import java.util.List;

import com.ruoyi.ems.domain.EmsTag;

/**
 * 标签分类Mapper接口
 *
 * @author ruoyi
 * @date 2024-07-31
 */
public interface EmsTagMapper {
    /**
     * 查询标签分类
     *
     * @param id 标签分类主键
     * @return 标签分类
     */
    EmsTag selectEmsTagById(Long id);

    /**
     * 查询标签分类列表
     *
     * @param emsTag 标签分类
     * @return 标签分类集合
     */
    List<EmsTag> selectEmsTagList(EmsTag emsTag);

    /**
     * 新增标签分类
     *
     * @param emsTag 标签分类
     * @return 结果
     */
    int insertEmsTag(EmsTag emsTag);

    /**
     * 修改标签分类
     *
     * @param emsTag 标签分类
     * @return 结果
     */
    int updateEmsTag(EmsTag emsTag);

    /**
     * 删除标签分类
     *
     * @param id 标签分类主键
     * @return 结果
     */
    int deleteEmsTagById(Long id);

    /**
     * 批量删除标签分类
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteEmsTagByIds(Long[] ids);
}
